Package de.willuhn.jameica.hbci.rmi

# Interface Dauerauftrag

All Superinterfaces:
  `BaseDauerauftrag`, `de.willuhn.datasource.rmi.Changeable`, `Checksum`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `HibiscusTransfer`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`, `Transfer`

All Known Implementing Classes:
  `DauerauftragImpl`

public interface Dauerauftrag extends HibiscusTransfer, Checksum, BaseDauerauftrag
Bildet einen Dauerauftrag in Hibiscus ab.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`ORDERID_PLACEHOLDER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTextSchluessel()`
Liefert den Textschluessel des Auftrags.

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`delete, getErsteZahlung, getLetzteZahlung, getNaechsteZahlung, getOrderID, getTurnus, isActive, setErsteZahlung, setLetzteZahlung, setOrderID, setTurnus`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Checksum

`getChecksum`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Method Details

### getTextSchluessel

String getTextSchluessel() throws RemoteException
Liefert den Textschluessel des Auftrags.

Returns:
  Textschluessel.
Throws:
  `RemoteException`